Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum Message.Property

    java.lang.Object
      java.lang.Enum<Message.Property>
          com.skype.api.Message.Property

All Implemented Interfaces:
  EnumConverting, PropertyEnumConverting, java.io.Serializable, java.lang.Comparable<Message.Property>

Enclosing class:
  Message

    public static enum Message.Property

extends java.lang.Enum<Message.Property>
implements PropertyEnumConverting

Properties of the Message class

Enum Constant Summary
`P_AUTHOR`
`P_AUTHOR_DISPLAY_NAME`
`P_BODY_XML`
`P_CONSUMPTION_STATUS`
`P_CONVERSATION`
`P_CONVO_GUID`
`P_EDIT_TIMESTAMP`
`P_EDITED_BY`
`P_GUID`
`P_IDENTITIES`
`P_LEAVEREASON`
`P_ORIGINALLY_MEANT_FOR`
`P_PARAM_KEY`
`P_PARAM_VALUE`
`P_PARTICIPANT_COUNT`
`P_REASON`
`P_SENDING_STATUS`
`P_TIMESTAMP`
`P_TYPE`
`P_UNKNOWN`

Field Summary
`static Message.Property[]` | `mget_info_mreq`
`static int` | `P_AUTHOR_DISPLAY_NAME_VALUE`
`static int` | `P_AUTHOR_VALUE`
`static int` | `P_BODY_XML_VALUE`
`static int` | `P_CONSUMPTION_STATUS_VALUE`
`static int` | `P_CONVERSATION_VALUE`
`static int` | `P_CONVO_GUID_VALUE`
`static int` | `P_EDIT_TIMESTAMP_VALUE`
`static int` | `P_EDITED_BY_VALUE`
`static int` | `P_GUID_VALUE`
`static int` | `P_IDENTITIES_VALUE`
`static int` | `P_LEAVEREASON_VALUE`
`static int` | `P_ORIGINALLY_MEANT_FOR_VALUE`
`static int` | `P_PARAM_KEY_VALUE`
`static int` | `P_PARAM_VALUE_VALUE`
`static int` | `P_PARTICIPANT_COUNT_VALUE`
`static int` | `P_REASON_VALUE`
`static int` | `P_SENDING_STATUS_VALUE`
`static int` | `P_TIMESTAMP_VALUE`
`static int` | `P_TYPE_VALUE`

Method Summary
`EnumConverting` | `convert(int from)`
`static Message.Property` | `get(int from)`
`EnumConverting[]` | `getArray(int size)`
`EnumConverting` | `getDefault()`
`EnumConverting` | `getEnumConverter()`
`int` | `getId()`
`int` | `getIdx()`
`int` | `getModuleId()`
`byte[]` | `getRequest()`
`boolean` | `isCached()`
`static Message.Property` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Message.Property[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### P_UNKNOWN

    public static final Message.Property P_UNKNOWN

### P_CONVERSATION

    public static final Message.Property P_CONVERSATION

### P_CONVO_GUID

    public static final Message.Property P_CONVO_GUID

### P_AUTHOR

    public static final Message.Property P_AUTHOR

### P_AUTHOR_DISPLAY_NAME

    public static final Message.Property P_AUTHOR_DISPLAY_NAME

### P_GUID

    public static final Message.Property P_GUID

### P_ORIGINALLY_MEANT_FOR

    public static final Message.Property P_ORIGINALLY_MEANT_FOR

### P_TIMESTAMP

    public static final Message.Property P_TIMESTAMP

### P_TYPE

    public static final Message.Property P_TYPE

### P_SENDING_STATUS

    public static final Message.Property P_SENDING_STATUS

### P_CONSUMPTION_STATUS

    public static final Message.Property P_CONSUMPTION_STATUS

### P_EDITED_BY

    public static final Message.Property P_EDITED_BY

### P_EDIT_TIMESTAMP

    public static final Message.Property P_EDIT_TIMESTAMP

### P_PARAM_KEY

    public static final Message.Property P_PARAM_KEY

### P_PARAM_VALUE

    public static final Message.Property P_PARAM_VALUE

### P_BODY_XML

    public static final Message.Property P_BODY_XML

### P_IDENTITIES

    public static final Message.Property P_IDENTITIES

### P_REASON

    public static final Message.Property P_REASON

### P_LEAVEREASON

    public static final Message.Property P_LEAVEREASON

### P_PARTICIPANT_COUNT

    public static final Message.Property P_PARTICIPANT_COUNT

Field Detail

### P_CONVERSATION_VALUE

    public static final int P_CONVERSATION_VALUE

See Also:
  Constant Field Values

### P_CONVO_GUID_VALUE

    public static final int P_CONVO_GUID_VALUE

See Also:
  Constant Field Values

### P_AUTHOR_VALUE

    public static final int P_AUTHOR_VALUE

See Also:
  Constant Field Values

### P_AUTHOR_DISPLAY_NAME_VALUE

    public static final int P_AUTHOR_DISPLAY_NAME_VALUE

See Also:
  Constant Field Values

### P_GUID_VALUE

    public static final int P_GUID_VALUE

See Also:
  Constant Field Values

### P_ORIGINALLY_MEANT_FOR_VALUE

    public static final int P_ORIGINALLY_MEANT_FOR_VALUE

See Also:
  Constant Field Values

### P_TIMESTAMP_VALUE

    public static final int P_TIMESTAMP_VALUE

See Also:
  Constant Field Values

### P_TYPE_VALUE

    public static final int P_TYPE_VALUE

See Also:
  Constant Field Values

### P_SENDING_STATUS_VALUE

    public static final int P_SENDING_STATUS_VALUE

See Also:
  Constant Field Values

### P_CONSUMPTION_STATUS_VALUE

    public static final int P_CONSUMPTION_STATUS_VALUE

See Also:
  Constant Field Values

### P_EDITED_BY_VALUE

    public static final int P_EDITED_BY_VALUE

See Also:
  Constant Field Values

### P_EDIT_TIMESTAMP_VALUE

    public static final int P_EDIT_TIMESTAMP_VALUE

See Also:
  Constant Field Values

### P_PARAM_KEY_VALUE

    public static final int P_PARAM_KEY_VALUE

See Also:
  Constant Field Values

### P_PARAM_VALUE_VALUE

    public static final int P_PARAM_VALUE_VALUE

See Also:
  Constant Field Values

### P_BODY_XML_VALUE

    public static final int P_BODY_XML_VALUE

See Also:
  Constant Field Values

### P_IDENTITIES_VALUE

    public static final int P_IDENTITIES_VALUE

See Also:
  Constant Field Values

### P_REASON_VALUE

    public static final int P_REASON_VALUE

See Also:
  Constant Field Values

### P_LEAVEREASON_VALUE

    public static final int P_LEAVEREASON_VALUE

See Also:
  Constant Field Values

### P_PARTICIPANT_COUNT_VALUE

    public static final int P_PARTICIPANT_COUNT_VALUE

See Also:
  Constant Field Values

### mget_info_mreq

    public static final Message.Property[] mget_info_mreq

Method Detail

### values

    public static Message.Property[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Message.Property c : Message.Property.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Message.Property valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### isCached

    public boolean isCached()

  Specified by:
    `isCached` in interface `PropertyEnumConverting`

### getIdx

    public int getIdx()

  Specified by:
    `getIdx` in interface `PropertyEnumConverting`

### getId

    public int getId()

  Specified by:
    `getId` in interface `EnumConverting`

### getRequest

    public byte[] getRequest()

  Specified by:
    `getRequest` in interface `PropertyEnumConverting`

### getDefault

    public EnumConverting getDefault()

  Specified by:
    `getDefault` in interface `EnumConverting`

### getModuleId

    public int getModuleId()

  Specified by:
    `getModuleId` in interface `PropertyEnumConverting`

### getEnumConverter

    public EnumConverting getEnumConverter()

  Specified by:
    `getEnumConverter` in interface `PropertyEnumConverting`

### convert

    public EnumConverting convert(int from)

  Specified by:
    `convert` in interface `EnumConverting`

### getArray

    public EnumConverting[] getArray(int size)

  Specified by:
    `getArray` in interface `EnumConverting`

### get

    public static Message.Property get(int from)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.